aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYaroslav de la Peña Smirnov <yps@yaroslavps.com>2021-03-29 11:27:03 +0300
committerYaroslav de la Peña Smirnov <yps@yaroslavps.com>2021-03-29 11:27:03 +0300
commit2a3c345a2551bbaf7522d9576d57967c25a7857d (patch)
tree8d219b79b9f7a31141a1fb33f039459bf0331fb3
parentc9ec0cb4bd6a550dcf076095fee48531a4f68fd7 (diff)
downloadswayrice-2a3c345a2551bbaf7522d9576d57967c25a7857d.tar.gz
swayrice-2a3c345a2551bbaf7522d9576d57967c25a7857d.zip
Small changes here and there
-rwxr-xr-xdotfiles/.local/bin/menurun2
-rwxr-xr-xdotfiles/.local/bin/swayrecord10
-rw-r--r--dotfiles/.profile1
3 files changed, 7 insertions, 6 deletions
diff --git a/dotfiles/.local/bin/menurun b/dotfiles/.local/bin/menurun
index 37d9c9f..772cd6f 100755
--- a/dotfiles/.local/bin/menurun
+++ b/dotfiles/.local/bin/menurun
@@ -11,7 +11,7 @@ case $1 in
action="xway"
title="Run through xwayland:";;
-t)
- action="$TERMINAL -e"
+ action="$TERMINAL"
title="Run in terminal:";;
esac
diff --git a/dotfiles/.local/bin/swayrecord b/dotfiles/.local/bin/swayrecord
index 27593be..91f6d31 100755
--- a/dotfiles/.local/bin/swayrecord
+++ b/dotfiles/.local/bin/swayrecord
@@ -16,7 +16,7 @@ TYPE="$1"
VIDEO_PID=""
AUDIO_PID=""
-trap finishrecording SIGINT
+trap finishrecording INT
finishvideo () {
kill -2 "$VIDEO_PID"
@@ -35,12 +35,12 @@ finishscreencast () {
kill -2 "$AUDIO_PID"
notify-send "📼 Recording" "One moment, screencast is being encoded..."
ffmpeg -i "$VREC_DIR/temp-$OUTPUT.mp4" \
- -i "$VREC_DIR/temp-$OUTPUT.mp3" \
+ -i "$VREC_DIR/temp-$OUTPUT.opus" \
-codec copy \
-shortest \
"$VREC_DIR/screencast-$OUTPUT.mp4"
rm -f "$VREC_DIR/temp-$OUTPUT.mp4"
- rm -f "$VREC_DIR/temp-$OUTPUT.mp3"
+ rm -f "$VREC_DIR/temp-$OUTPUT.opus"
notify-send "📼 Recording" \
"Screencast recording stopped and saved at "$VREC_DIR/screencast-$OUTPUT.mp4""
}
@@ -96,7 +96,7 @@ screenshare () {
screencast () {
wf-recorder -o "$MONITOR" -f "$VREC_DIR/temp-$OUTPUT.mp4" &
VIDEO_PID=$!
- ffmpeg -f alsa -i default -c:a mp3 "$VREC_DIR/temp-$OUTPUT.mp3" &
+ ffmpeg -f alsa -i default -c:a libopus "$VREC_DIR/temp-$OUTPUT.opus" &
AUDIO_PID=$!
echo $$ > ~/.cache/recordingpid
echo "📼" > ~/.cache/recordingicon
@@ -106,7 +106,7 @@ screencast () {
}
audio () {
- ffmpeg -f alsa -i default -c:a flac "$AREC_DIR/$OUTPUT.flac" &
+ ffmpeg -f alsa -i default -c:a libopus "$AREC_DIR/$OUTPUT.opus" &
AUDIO_PID=$!
echo $$ > ~/.cache/recordingpid
echo "🎙" > ~/.cache/recordingicon
diff --git a/dotfiles/.profile b/dotfiles/.profile
index 1628457..40adf8d 100644
--- a/dotfiles/.profile
+++ b/dotfiles/.profile
@@ -32,6 +32,7 @@ export RUSTUP_HOME="$XDG_DATA_HOME/rustup"
export PASSWORD_STORE_DIR="$XDG_DATA_HOME/password-store"
export GTK2_RC_FILES="$XDG_CONFIG_HOME/gtk-2.0/gtkrc-2.0"
export GOPATH="$XDG_DATA_HOME/go"
+export NOTMUCH_CONFIG="$XDG_CONFIG_HOME/notmuchrc"
eval "$(dircolors "$HOME/.config/dir_colors")"
. "$HOME/.config/lf/icons"